<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.ldt.shop.mapper.AuditMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="auditResultMap" type="org.springblade.ldt.shop.entity.Audit">
        <id column="id" property="id"/>
        <result column="id_card_front" property="idCardFront"/>
        <result column="id_card_contrary" property="idCardContrary"/>
        <result column="entity" property="entity"/>
        <result column="legal_person" property="legalPerson"/>
        <result column="address" property="address"/>
        <result column="id_card" property="idCard"/>
        <result column="business_license" property="businessLicense"/>
        <result column="shop_id" property="shopId"/>
    </resultMap>


    <select id="selectAuditPage" resultMap="auditResultMap">
        select * from ldt_audit where is_deleted = 0
    </select>

</mapper>
